Bug 497800 - Review Request: perl-Acme-PlayCode - Perl module for enhancement of code
Review Request: perl-Acme-PlayCode - Perl module for enhancement of code
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 06:36 EDT by Marcela Mašláňová
Modified: 2009-05-07 03:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-07 03:24:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-04-27 06:36:07 EDT
Spec URL: http://mmaslano.fedorapeople.org/review/perl-Acme-PlayCode.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-Acme-PlayCode-0.11-1.fc11.src.rpm
Description: It aims to change the code to be better (to be worse if you want).

http://koji.fedoraproject.org/koji/taskinfo?taskID=1322216
Comment 1 Chris Weyl 2009-04-27 22:01:49 EDT
Updating line-endings (such as via dos2unix) is generally done in %prep...
perl(Test::Pod) also needs to be included as a BR.

Do the two updates above and I'll approve :)

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1322216

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
0034e6c7961d2f9ed8b5e6ad60ac7333941d73d9 Acme-PlayCode-0.11.tar.gz
0034e6c7961d2f9ed8b5e6ad60ac7333941d73d9 Acme-PlayCode-0.11.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Acme-PlayCode-0.11-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Acme-PlayCode-0.11-1.fc10.src.rpm
====> requires for perl-Acme-PlayCode-0.11-1.fc10.src.rpm
dos2unix  
perl(List::MoreUtils)  
perl(Module::Build)  
perl(Moose) >= 0.57
perl(MooseX::Object::Pluggable) >= 0.0008
perl(Path::Class) >= 0.16
perl(PPI) >= 1.201
perl(Test::More)  

=====> perl-Acme-PlayCode-0.11-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Acme-PlayCode-0.11-1.fc10.noarch.rpm
perl(Acme::PlayCode) = 0.11
perl-Acme-PlayCode = 0.11-1.fc10
perl(Acme::PlayCode::Plugin::Averything) = 0.10
perl(Acme::PlayCode::Plugin::DoubleToSingle) = 0.10
perl(Acme::PlayCode::Plugin::ExchangeCondition) = 0.10
perl(Acme::PlayCode::Plugin::NumberPlus) = 0.11
perl(Acme::PlayCode::Plugin::PrintComma) = 0.10
====> requires for perl-Acme-PlayCode-0.11-1.fc10.noarch.rpm
perl(Data::Dumper)  
perl(List::MoreUtils)  
perl(:MODULE_COMPAT_5.10.0)  
perl(Moose)  
perl(Moose::Role)  
perl(Path::Class)  
perl(PPI)  
perl(PPI::Token::Comment)  
perl(vars)
Comment 2 Marcela Mašláňová 2009-04-28 03:24:53 EDT
Updated srpm
http://mmaslano.fedorapeople.org/review/perl-Acme-PlayCode-0.11-2.fc11.src.rpm

I think dos2unix in prep is not needed but I moved it for you.
Comment 3 Chris Weyl 2009-05-03 13:38:22 EDT
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=1334190
Comment 4 Chris Weyl 2009-05-03 13:43:05 EDT
Generally speaking, dos2unix (or the ever popular "sed -e 's/\r//'") doesn't
strictly belong in %prep, but it fits far better in there than it does in
%build.  Stripping dos-like EOL characters from source is as much preparing it
as is patching it, or removing errant execute bits, etc.  Absent a very
compelling reason, we wouldn't include a %patch in %build, would we?

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1334190

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
0034e6c7961d2f9ed8b5e6ad60ac7333941d73d9 Acme-PlayCode-0.11.tar.gz
0034e6c7961d2f9ed8b5e6ad60ac7333941d73d9 Acme-PlayCode-0.11.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Acme-PlayCode-0.11-2.fc12.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Acme-PlayCode-0.11-2.fc12.noarch.rpm
perl(Acme::PlayCode) = 0.11
perl-Acme-PlayCode = 0.11-2.fc12
perl(Acme::PlayCode::Plugin::Averything) = 0.10
perl(Acme::PlayCode::Plugin::DoubleToSingle) = 0.10
perl(Acme::PlayCode::Plugin::ExchangeCondition) = 0.10
perl(Acme::PlayCode::Plugin::NumberPlus) = 0.11
perl(Acme::PlayCode::Plugin::PrintComma) = 0.10
====> requires for perl-Acme-PlayCode-0.11-2.fc12.noarch.rpm
perl(Data::Dumper)  
perl(List::MoreUtils)  
perl(:MODULE_COMPAT_5.10.0)  
perl(Moose)  
perl(Moose::Role)  
perl(Path::Class)  
perl(PPI)  
perl(PPI::Token::Comment)  
perl(vars)  

=====> perl-Acme-PlayCode-0.11-2.fc12.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Acme-PlayCode-0.11-2.fc12.src.rpm
====> requires for perl-Acme-PlayCode-0.11-2.fc12.src.rpm
dos2unix  
perl(List::MoreUtils)  
perl(Module::Build)  
perl(Moose) >= 0.57
perl(MooseX::Object::Pluggable) >= 0.0008
perl(Path::Class) >= 0.16
perl(PPI) >= 1.201
perl(Test::More)  
perl(Test::Pod)  

APPROVED
Comment 5 Marcela Mašláňová 2009-05-05 03:47:36 EDT
The position of dos2unix is arguable. In different review I was told to use it in prep because it prepare the source :)
Thank you for your review. I own you some.
Comment 6 Marcela Mašláňová 2009-05-05 03:48:46 EDT
New Package CVS Request
=======================
Package Name: perl-Acme-PlayCode
Short Description: Perl module for enhancement of code
Owners: mmaslano
Branches: F-11
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2009-05-06 17:02:40 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.